Updates a given defect. Can be used to resolve a defect by marking its isResolved field to true.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Write Defects under the Maintenance category when creating or editing an API token. Learn More.
curl --request PATCH \
--url https://api.samsara.com/fleet/defects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isResolved": true,
"mechanicNotes": "Extremely large oddly shaped hole in passenger side window.",
"resolvedAtTime": "2020-01-27T07:06:25Z"
}
'{
"data": {
"id": "18",
"isResolved": true,
"comment": "Air Compressor not working",
"createdAtTime": "2020-01-27T07:06:25Z",
"defectType": "Air Compressor",
"mechanicNotes": "Extremely large oddly shaped hole in passenger side window.",
"mechanicNotesUpdatedAtTime": "2020-01-27T07:06:25Z",
"resolvedAtTime": "2020-01-27T07:06:25Z",
"resolvedBy": {
"id": "11",
"name": "Christopher 'The Handyman' Zhen",
"type": "driver"
},
"trailer": {
"id": "123456789",
"name": "Midwest Trailer #5"
},
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the defect.
The DVIR defect fields to update.
Information about resolving a defect. If resolving a defect, must specify isResolved as true and resolvedBy.
Resolves the defect. Must be true.
The mechanics notes on the defect.
"Extremely large oddly shaped hole in passenger side window."
Time when defect was resolved. Defaults to now if not provided. UTC timestamp in RFC 3339 format. Example: 2020-01-27T07:06:25Z.
"2020-01-27T07:06:25Z"
Information about the user who is resolving a defect.
Show child attributes
Return the modified defect entity
A single defect.
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/fleet/defects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isResolved": true,
"mechanicNotes": "Extremely large oddly shaped hole in passenger side window.",
"resolvedAtTime": "2020-01-27T07:06:25Z"
}
'{
"data": {
"id": "18",
"isResolved": true,
"comment": "Air Compressor not working",
"createdAtTime": "2020-01-27T07:06:25Z",
"defectType": "Air Compressor",
"mechanicNotes": "Extremely large oddly shaped hole in passenger side window.",
"mechanicNotesUpdatedAtTime": "2020-01-27T07:06:25Z",
"resolvedAtTime": "2020-01-27T07:06:25Z",
"resolvedBy": {
"id": "11",
"name": "Christopher 'The Handyman' Zhen",
"type": "driver"
},
"trailer": {
"id": "123456789",
"name": "Midwest Trailer #5"
},
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
}